package de.stoermer.xxx.domain.aufgaben;

import de.stoermer.xxx.domain.Spieler;

public abstract class ZeitgesteuerteAufgabe extends Aufgabe {

	private Integer timerSekunden;

	public ZeitgesteuerteAufgabe(Spieler spieler1, Spieler spieler2, String text, Integer timerSekunden) {
		super(spieler1, spieler2, text);
		this.timerSekunden = timerSekunden;
	}

	@Override
	public Timer getTimer() {		
		return timerSekunden == null ? null : new Timer(timerSekunden);
	}
}
